<html>
<head>
<title>OgreAndroidWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_740c5ae02f3e58539fc77518d7d26661.html">GLES2</a>      </li>
      <li class="navelem"><a class="el" href="dir_03408e7e26591a021d5048c9e4238005.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_f185693a81d0b937e7e7d76b98af8b9b.html">Android</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreAndroidWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreAndroidWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __AndroidWindow_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __AndroidWindow_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreAndroidGLSupport_8h.html">OgreAndroidGLSupport.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035     <span class="keyword">class </span>AndroidGLContext;
<a name="l00036"></a>00036     
<a name="l00037"></a><a class="code" href="classOgre_1_1AndroidWindowDelegate.html">00037</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1AndroidWindowDelegate.html">AndroidWindowDelegate</a>
<a name="l00038"></a>00038     {
<a name="l00039"></a>00039     <span class="keyword">public</span>:
<a name="l00040"></a>00040         
<a name="l00041"></a>00041     };
<a name="l00042"></a>00042     
<a name="l00043"></a><a class="code" href="classOgre_1_1AndroidWindow.html">00043</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1AndroidWindow.html">AndroidWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>
<a name="l00044"></a>00044     {
<a name="l00045"></a>00045     <span class="keyword">protected</span>:
<a name="l00046"></a><a class="code" href="classOgre_1_1AndroidWindow.html#afa8d0f35e1f09cf908c3a7db4d583024">00046</a>         <a class="code" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a>* <a class="code" href="classOgre_1_1AndroidWindow.html#afa8d0f35e1f09cf908c3a7db4d583024">mGLSupport</a>;
<a name="l00047"></a><a class="code" href="classOgre_1_1AndroidWindow.html#a2dab0f37c795bdb7acbc5c4d3a682c00">00047</a>         <a class="code" href="classOgre_1_1AndroidGLContext.html">AndroidGLContext</a>* <a class="code" href="classOgre_1_1AndroidWindow.html#a2dab0f37c795bdb7acbc5c4d3a682c00">mContext</a>;
<a name="l00048"></a><a class="code" href="classOgre_1_1AndroidWindow.html#ae663b70e96f952e131bf0503281ef7f2">00048</a>         <a class="code" href="classOgre_1_1AndroidWindowDelegate.html">AndroidWindowDelegate</a> *<a class="code" href="classOgre_1_1AndroidWindow.html#ae663b70e96f952e131bf0503281ef7f2">mDelegate</a>;
<a name="l00049"></a><a class="code" href="classOgre_1_1AndroidWindow.html#aa68374274a6957b32a0df8888bf5061b">00049</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AndroidWindow.html#aa68374274a6957b32a0df8888bf5061b">mClosed</a>;
<a name="l00050"></a><a class="code" href="classOgre_1_1AndroidWindow.html#a20a8c64a44f3fbf62aff90e898a6427a">00050</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1AndroidWindow.html#a20a8c64a44f3fbf62aff90e898a6427a">mHandle</a>;
<a name="l00051"></a>00051 
<a name="l00052"></a>00052         <a class="code" href="classOgre_1_1AndroidGLContext.html">AndroidGLContext</a> * createGLContext(<span class="keywordtype">int</span> handle) <span class="keyword">const</span>;
<a name="l00053"></a>00053         <span class="keywordtype">void</span> getLeftAndTopFromNativeWindow(<span class="keywordtype">int</span> &amp; left, <span class="keywordtype">int</span> &amp; top, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> height);
<a name="l00054"></a>00054         <span class="keywordtype">void</span> initNativeCreatedWindow(<span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00055"></a>00055         <span class="keywordtype">void</span> createNativeWindow( <span class="keywordtype">int</span> &amp;left, <span class="keywordtype">int</span> &amp;top, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;width, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;height, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;title );
<a name="l00056"></a>00056         <span class="keywordtype">void</span> reposition(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top);
<a name="l00057"></a>00057         <span class="keywordtype">void</span> resize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00058"></a>00058         <span class="keywordtype">void</span> windowMovedOrResized();
<a name="l00059"></a>00059         <span class="keywordtype">void</span> switchFullScreen(<span class="keywordtype">bool</span> fullscreen);
<a name="l00060"></a>00060 
<a name="l00061"></a>00061 
<a name="l00062"></a>00062     <span class="keyword">public</span>:
<a name="l00063"></a>00063         <a class="code" href="classOgre_1_1AndroidWindow.html">AndroidWindow</a>(<a class="code" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a>* glsupport);
<a name="l00064"></a>00064         <span class="keyword">virtual</span>  ~<a class="code" href="classOgre_1_1AndroidWindow.html">AndroidWindow</a>();
<a name="l00065"></a>00065 
<a name="l00072"></a>00072         <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00073"></a>00073         
<a name="l00074"></a>00074         <span class="keywordtype">void</span> copyContentsToMemory(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, <a class="code" href="classOgre_1_1RenderTarget.html#a4b42772d32712767391c749f4745397a">FrameBuffer</a> buffer);
<a name="l00075"></a>00075         <span class="keywordtype">bool</span> requiresTextureFlipping() <span class="keyword">const</span>;
<a name="l00076"></a>00076         <span class="keywordtype">void</span> destroy(<span class="keywordtype">void</span>);
<a name="l00077"></a>00077         <span class="keywordtype">bool</span> isClosed(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00078"></a>00078 
<a name="l00079"></a>00079         <span class="comment">//Moved this from EGLWindow because it has some native calls.</span>
<a name="l00080"></a>00080         <span class="keywordtype">void</span> create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00081"></a>00081             <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams);
<a name="l00082"></a>00082     };
<a name="l00083"></a>00083 }
<a name="l00084"></a>00084 
<a name="l00085"></a>00085 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
